Bug 182065 - %post run before package dependencies are installed
Summary: %post run before package dependencies are installed
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC5Blocker
TreeView+ depends on / blocked
 
Reported: 2006-02-20 03:11 UTC by Miloslav Trmač
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-05 15:48:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
install.log (30.96 KB, text/plain)
2006-02-20 21:09 UTC, Miloslav Trmač
no flags Details

Description Miloslav Trmač 2006-02-20 03:11:00 UTC
Description of problem:
Looking at FC5t3 install.log:
...
Installing gnome-print-0.37-12.2.1.i386.
/usr/bin/gnome-font-install: error while loading shared libraries: libxml.so.1:
error: %post(gnome-print-0.37-12.2.1.i386) scriptlet failed, exit status 127
...
Installing libxml-1.8.17-13.2.1.i386.

/usr/bin/gnome-font-install is a part of gnome-print, gnome-print has an autoreq
on libxml.so.1, and even an explicit PreReq: libxml, nevertheless libxml is
only installed after gnome-print.

Comment 1 Jeremy Katz 2006-02-20 20:48:26 UTC
Can you attach the full install.log?

Comment 2 Miloslav Trmač 2006-02-20 21:09:47 UTC
Created attachment 124909 [details]
install.log

Here it is.  I'm afraid I have nuked the other logs, but I can retry it in qemu

if necessary.

Comment 3 Paul Nasrat 2006-02-21 16:13:37 UTC
I think I know what's happening here.

Comment 4 Paul Nasrat 2006-02-28 21:26:09 UTC
Can you check to see if this occurs with tomorrows rawhide

Comment 5 Miloslav Trmač 2006-03-05 15:48:31 UTC
I don't know the exact package set used to trigger it originally, but a small
install with the relevant packages was fine.


Note You need to log in before you can comment on or make changes to this bug.